bypass node access:
  title: 'Bypass content access control'
  description: 'View, edit and delete all content regardless of permission restrictions.'
  restrict access: true
administer content types:
  title: 'Administer content types'
  description: 'Maintain the types of content available and the fields that are associated with those types.'
  restrict access: true
administer nodes:
  title: 'Administer content'
  description: 'Promote, change ownership, edit revisions, and perform other tasks across all content types.'
  restrict access: true
access content overview:
  title: 'Access the Content overview page'
  description: 'Get an overview of all content.'
access content:
  title: 'View published content'
view own unpublished content:
  title: 'View own unpublished content'
view all revisions:
  title: 'View all revisions'
revert all revisions:
  title: 'Revert all revisions'
  description: 'Role requires permission <em>view revisions</em> and <em>edit rights</em> for nodes in question or <em>administer nodes</em>.'
delete all revisions:
  title: 'Delete all revisions'
  description: 'Role requires permission to <em>view revisions</em> and <em>delete rights</em> for nodes in question or <em>administer nodes</em>.'

permission_callbacks:
  - \Drupal\node\NodePermissions::nodeTypePermissions
